<< db | FOSSEE_Signal_Processing_Toolbox | dctmtx >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > db2pow

# db2pow

Convert decibel values to power values in Watts.

### Syntax

    y = db2pow(ydb)

### Parameters

ydb:

  Scalar, vector, matrix, or N-D array. Represents the input decibel values.

y:

  Scalar, vector, matrix, or N-D array. Represents the output power values in Watts.

### Description

This function calculates the power value in Watts corresponding to the decibel value `ydb` passed as the parameter. The conversion is based on the formula: ydb = 10 * log10(y), where `log10` is the base-10 logarithm.

### Examples

    ydb = 20
    y = db2pow(ydb)

### Authors

- Ishita Bedi
- Debdeep Dey

Report an issue
<< db | FOSSEE_Signal_Processing_Toolbox | dctmtx >>